package org.jeecg.modules.adweb.quota.controller;

import lombok.extern.slf4j.Slf4j;

import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.adweb.quota.vo.ResourceQuota;
import org.springframework.web.bind.annotation.*;

/**
 * 用户资源额度 - 临时站数量、AI算力、外贸大数据等
 *
 * @author wfansh
 */
@RestController
@RequestMapping("/resourceQuota")
@Slf4j
public class ResourceQuotaController {

    @GetMapping("/getByUid")
    @ResponseBody
    public Result<ResourceQuota> getByUid(@RequestParam String uid) {
        ResourceQuota resourceQuota = new ResourceQuota();
        resourceQuota.setUid(uid);

        return Result.OK(resourceQuota);
    }
}
